import { SqliteClientOptions } from "../types/sqlite-client.options";
import { ReturnValueEnum } from "../enums/return-value.enum";
import { RowModeEnum } from "../enums/row-mode.enum";
export declare class SqliteClientWorkerProxy {
    private readonly options;
    protected queuedPromises: {
        [hash in string]: {
            resolve: (...args: any[]) => void;
            reject: (...args: any[]) => void;
        };
    };
    worker: Worker;
    constructor(options: SqliteClientOptions);
    init(): Promise<void>;
    private messageReceived;
    executeSql(sqlStatement: string, bindParameters: (string | number)[], returnValue: ReturnValueEnum, rowMode: RowModeEnum | number): Promise<any>;
}
